jQuery(function($){
 	"use strict";
	jQuery('.main-menu-navigation > ul').superfish({
		delay:       500,
		animation:   {opacity:'show',height:'show'},  
		speed:       'fast'
	});

});

function transport_movers_responsive_menu_open() {
	jQuery(".menu-brand").addClass('show');
}
function transport_movers_responsive_menu_close() {
	jQuery(".menu-brand").removeClass('show');
}

var transport_movers_Keyboard_loop = function (elem) {

    var transport_movers_tabbable = elem.find('select, input, textarea, button, a').filter(':visible');

    var transport_movers_firstTabbable = transport_movers_tabbable.first();
    var transport_movers_lastTabbable = transport_movers_tabbable.last();

    /*redirect last tab to first input*/
    transport_movers_lastTabbable.on('keydown', function (e) {
        if ((e.which === 9 && !e.shiftKey)) {
            e.preventDefault();
            transport_movers_firstTabbable.focus();
        }
    });

    /*redirect first shift+tab to last input*/
    transport_movers_firstTabbable.on('keydown', function (e) {
        if ((e.which === 9 && e.shiftKey)) {
            e.preventDefault();
            transport_movers_lastTabbable.focus();
        }
    });

    /* allow escape key to close insiders div */
    elem.on('keyup', function (e) {
        if (e.keyCode === 27) {
            elem.hide();
        }
        ;
    });
};

/**** Hidden search box ***/
jQuery('document').ready(function($){
    $('.main-search span a').click(function(){
        $(".searchform_page").slideDown(500);
        transport_movers_Keyboard_loop($('.searchform_page'));
    });
    $('.close a').click(function(){
        $(".searchform_page").slideUp(500);
    });
}); 

// scroll
jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
	    if (jQuery(this).scrollTop() > 0) {
	        jQuery('#scrollbutton').fadeIn();
	    } else {
	        jQuery('#scrollbutton').fadeOut();
	    }
	});
	jQuery(window).on("scroll", function () {
	   document.getElementById("scrollbutton").style.display = "block";
	});
	jQuery('#scrollbutton').click(function () {
	    jQuery("html, body").animate({
	        scrollTop: 0
	    }, 600);
	    return false;
	});
});

jQuery(function($){
	$('.mobiletoggle').click(function () {
        transport_movers_Keyboard_loop($('.menu-brand'));
    });
});

// preloader
jQuery(function($){
    setTimeout(function(){
        $(".frame").delay(1000).fadeOut("slow");
    });
});

(function( $ ) {

	$(window).scroll(function(){
	    var sticky = $('.sticky-header'),
	    scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('fixed-header');
		else sticky.removeClass('fixed-header');
	});

})( jQuery );

// sticky copyright
(function ($) {
    $(window).on('scroll', function () {
        var scroll = $(window).scrollTop();
        var sticky = $('.sticky-copyright');

        if (sticky.length) {
            if (scroll >= 100) {
                sticky.addClass('fixed-copyright');
            } else {
                sticky.removeClass('fixed-copyright');
            }
        }
    });
})(jQuery);

/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const transport_movers_progressBar =
        document.getElementById("transport_movers_elemento_progress_bar");
    if (!transport_movers_progressBar) return;
    window.addEventListener("scroll", function () {
        const transport_movers_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const transport_movers_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const transport_movers_scrolled =
            (transport_movers_scrollTop / transport_movers_height) * 100;
        transport_movers_progressBar.style.width =
            transport_movers_scrolled + "%";
    });
});
